Package org.apache.felix.framework.security.util

## Class Permissions

- java.lang.Object
- - org.apache.felix.framework.security.util.Permissions

    public final class Permissions
    extends java.lang.Object

A permission cache that uses permission infos as keys. Permission are created from the parent classloader or any exported package.

### Field Summary

Fields
`static java.security.AllPermission` `ALL_PERMISSION`

### Constructor Summary

Constructors
`Permissions​(org.osgi.framework.BundleContext context, org.apache.felix.framework.util.SecureAction action)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.permissionadmin.PermissionInfo[]` `getImplicit​(org.osgi.framework.Bundle bundle)`
`Permissions` `getPermissions​(org.osgi.service.permissionadmin.PermissionInfo[] permissionInfos)`
`boolean` `implies​(java.security.Permission target, org.osgi.framework.Bundle bundle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALL_PERMISSION

    public static final java.security.AllPermission ALL_PERMISSION

### Constructor Detail

#### Permissions

    public Permissions​(org.osgi.framework.BundleContext context,
                       org.apache.felix.framework.util.SecureAction action)

### Method Detail

#### getImplicit

    public org.osgi.service.permissionadmin.PermissionInfo[] getImplicit​(org.osgi.framework.Bundle bundle)

#### getPermissions

    public Permissions getPermissions​(org.osgi.service.permissionadmin.PermissionInfo[] permissionInfos)

#### implies

    public boolean implies​(java.security.Permission target,
                           org.osgi.framework.Bundle bundle)

Parameters:
  `target` - the permission to be implied
  `bundle` - if not null then allow implicit permissions like file access to local data area
Returns:
  true if the permission is implied by this permissions object.